/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */

//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
#include "bbcreaMaracasVisuPanelButtonContainer.h"
#include "bbcreaMaracasVisuPackage.h"
namespace bbcreaMaracasVisu
{

	BBTK_ADD_BLACK_BOX_TO_PACKAGE(creaMaracasVisu,PanelButtonContainer)
	BBTK_BLACK_BOX_IMPLEMENTATION(PanelButtonContainer,bbtk::WxBlackBox)
;
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
void
PanelButtonContainer::Process( )
{
	ButtonContainerSettings* settings = new ButtonContainerSettings( );
	printf("EED PanelButtonContainer::Process %d\n", bbGetInputIn( ).size() );

	if(bbGetInputType()== "1")
	{
//EED-MLER	   settings->AddItems( bbGetInputIn() );
	}
	else {
	  settings->AddButtons( bbGetInputIn() );
	}	

	
	PBContainer* panel = new PBContainer( myPanel, settings, bbGetInputType() );
	wxBoxSizer* sizer  = new wxBoxSizer( wxHORIZONTAL );
	sizer->Add( panel, 1, wxEXPAND, 0 );
	this->myPanel->SetSizer(sizer);
	
	this->myPanel->SetAutoLayout(true);
	this->myPanel->Layout();

	
}
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
void PanelButtonContainer::CreateWidget( wxWindow* parent )
{
	this->myPanel = new wxPanel( parent, -1 );
	/// \TODO fix  warning: unused variable ww
	wxWindow* ww = bbCreateWidgetOfInput( "In", this->myPanel );
	bbSetOutputWidget( myPanel);

}
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
void
PanelButtonContainer::bbUserSetDefaultValues( )
{
   bbSetInputType("0");
}
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
void
PanelButtonContainer::bbUserInitializeProcessing( )
{

}
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
void
PanelButtonContainer::bbUserFinalizeProcessing( )
{

}
}
// EO namespace bbcreaMaracasVisu


