/*# ---------------------------------------------------------------------
#
# Copyright (c) CREATIS (Centre de Recherche en Acquisition et Traitement de l'Image
#                        pour la Sant�)
# Authors : Eduardo Davila, Frederic Cervenansky, Claire Mouton
# Previous Authors : Laurent Guigues, Jean-Pierre Roux
# CreaTools website : www.creatis.insa-lyon.fr/site/fr/creatools_accueil
#
#  This software is governed by the CeCILL-B license under French law and
#  abiding by the rules of distribution of free software. You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL-B
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html
#  or in the file LICENSE.txt.
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL-B license and that you accept its terms.
# ------------------------------------------------------------------------ */

//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
#ifdef _USE_WXWIDGETS_
#ifndef __bbcreaMaracasVisuPanelButtonContainer_h_INCLUDED__
#define __bbcreaMaracasVisuPanelButtonContainer_h_INCLUDED__
#include "bbcreaMaracasVisu_EXPORT.h"
#include "bbtkWxBlackBox.h"
#include <structBCPSettings.h>
#include <buttonContainerSettings.h>
#include <creaPanelButtonContainer.h>

namespace bbcreaMaracasVisu
{
	typedef creaPanelButtonContainer::BCPSettingsStruct BCPSettingsStruct;
	typedef creaPanelButtonContainer::ButtonContainerSettings ButtonContainerSettings;
	typedef creaPanelButtonContainer::PanelButtonContainer PBContainer;
	typedef std::vector< BCPSettingsStruct* > BCStructVectorType;
class bbcreaMaracasVisu_EXPORT PanelButtonContainer
 : 
   public bbtk::WxBlackBox
{
  BBTK_BLACK_BOX_INTERFACE(PanelButtonContainer,bbtk::WxBlackBox);
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
  BBTK_DECLARE_INPUT(Title,std::string);
  BBTK_DECLARE_INPUT(In,BCStructVectorType);
  BBTK_DECLARE_INPUT(Type,std::string);
  BBTK_PROCESS(Process);
  void Process();
  BBTK_CREATE_WIDGET(CreateWidget);
  void CreateWidget(wxWindow*);
	private:
  	wxPanel* myPanel;
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
};

BBTK_BEGIN_DESCRIBE_BLACK_BOX(PanelButtonContainer,bbtk::WxBlackBox);
  BBTK_NAME("PanelButtonContainer");
  BBTK_AUTHOR("caceres@creatis.insa-lyon.fr");
  BBTK_DESCRIPTION("This blackbox creates a Widget of creaButtonContainerPanel");
  BBTK_CATEGORY("__CategoryBlackBox__");

  BBTK_INPUT(PanelButtonContainer,Title,"Title prepended to the text",std::string,"");
  BBTK_INPUT(PanelButtonContainer,In,"ButtonContainerSettings List",BCStructVectorType,"");
  BBTK_INPUT(PanelButtonContainer,Type,"Type container",std::string,"");

BBTK_END_DESCRIBE_BLACK_BOX(PanelButtonContainer);
//===== 
// Before editing this file, make sure it's a file of your own (i.e.: it wasn't generated from xml description; if so : your modifications will be lost)
//===== 
}
// EO namespace bbcreaMaracasVisu

#endif // __bbcreaMaracasVisuPanelButtonContainer_h_INCLUDED__
#endif // _USE_WXWIDGETS_

